/*
** mg_printf.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:04:47 1999 vianney rancurel
** Last update Thu Oct 28 20:17:26 1999 
*/
#ifndef MG_PRINTF_H
#define MG_PRINTF_H	1

#include "mg.h"

typedef t_status	(*t_printf_proc) P((VOID_PTR data,
					    char *buf,
					    int len));

/* PROTO mg_printf.c */
/* mg_printf.c */
t_status my_printf_char P((t_printf_proc proc, void *data, int c));
t_status my_printf_str P((t_printf_proc proc, void *data, char *str));
t_status my_printf_do_str P((t_printf_proc proc, void *data, char *value, int ljust, int len, int zpad));
t_status my_printf_do_num P((t_printf_proc proc, void *data, long value, int base, int dosign, int ljust, int len, int zpad));
t_status my_vprintf P((t_printf_proc proc, void *data, char *fmt, va_list args));
t_status my_printf P((t_printf_proc proc, void *data, char *fmt, ...));
#endif
